/*
	* Copyright (c) 2021-11 by ELECTRONIC ASSEMBLY <technik@lcd-module.de>
	*
	* utf8 to unicode and vice versa
	*
	* This file is free software; you can redistribute it and/or modify
	* it under the terms of either the GNU General Public License version 2
	* or the GNU Lesser General Public License version 2.1, both as
	* published by the Free Software Foundation.
*/
#ifndef UNICODE_H
#define UNICODE_H

int utf8_to_unicode(unsigned char* const utf8_str, int utf8_size, char16_t* unicode_output, int unicode_size);
int unicode_to_utf8(char16_t *unicode_str, int unicode_size, unsigned char* utf8_output, int utf8_size);

#endif //#define UNICODE_H